package com.huiju.estateagents.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

/**
 * 公客导出
 */
@Data
public class PublicCustomerExport {

    /**
     * 姓名
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "姓名", index = 0)
    private String nickname;

    /**
     * 电话
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "电话", index = 1)
    private String phone;

    /**
     * 性别
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "性别", index = 2)
    private String sex;

    /**
     * 关注时间
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "关注时间", index = 3)
    private String createDate;

    /**
     * 国家
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "国家", index = 4)
    private String country;

    /**
     * 省份
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "省份", index = 5)
    private String province;

    /**
     * 来访方式
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "性别", index = 6)
    private String sceneType;

    /**
     * 意向度
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "意向度", index = 7)
    private String intention;

    /**
     * 项目名称
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "项目名称", index = 8)
    private String buildingName;
}
